/*---------------------------------
  Overriding Actor directory
 ----------------------------------*/
.directory-item.document.actor .additional-infos {
  justify-content: center;
  flex-wrap: wrap;
  max-width: 24px;
  max-height: 48px;
  margin-right: 2px;
}
.directory-item.document.actor .additional-icon {
  border: none;
  max-width: 24px;
  max-height: 24px;
}


/*---------------------------------
  Actor Sheet
 ----------------------------------*/
 .acariaempire.sheet.actor {
  min-width: 680px;
  min-height: 780px;
}

.acariaempire.sheet.actor h2 {
  font-size: 1.5em;
  padding: 5px 0px;
  margin: 5px 0px 0px 0px;  
  min-width: 600px;
  text-align: center;
  border-bottom: groove;
}

.acariaempire.sheet.actor .editor-content {
  height: 100%;
  padding-bottom: 40px;
}

.acariaempire.sheet.actor input:focus {
  box-shadow: 0 0 5px darkblue;
}

.acariaempire.sheet.actor .debuffed-value {
  color: darkred;
}
.acariaempire.sheet.actor .buffed-value {
  color: darkgreen;
}

.acariaempire.sheet.actor .with-tooltip {
  cursor: help;
}

/*---------------------------------
  Character Header
 ----------------------------------*/

.acariaempire.sheet.actor .sheet-header .ae-character-icon {
  flex: 0 0 100px;
  height: 110px;
  margin-right: 10px;
}

.acariaempire.sheet.actor .sheet-header .name-and-status {
  height: 110px;
  background-size: contain;
  background-repeat: no-repeat;
  background-position-x: right;
}

.acariaempire.sheet.actor .sheet-header .name-and-status.monster {
  background-image: url('../resources/actor/sheet/monster_header.png');
}
.acariaempire.sheet.actor .sheet-header .name-and-status.human {
  background-image: url('../resources/actor/sheet/human_header.png');
}

.acariaempire.sheet.actor .sheet-header .ae-character-name {
  max-height: 60px;
}


.acariaempire.sheet.actor .sheet-header .left-tokens {
  flex: 0 0 35px;
  height: 110px;
  margin-right: 10px;
}

.acariaempire.sheet.actor .sheet-header .bottom-tokens {
  flex: 0 0 50px;
}


.acariaempire.sheet.actor .sheet-header .ae-token {
  flex: 1;
  max-width: 50px;
  background-size: contain;
  background-repeat: no-repeat;
  border: none;
  text-align: center;
  -webkit-text-fill-color: lightgrey;
  -webkit-text-stroke-width: 1px;
  -webkit-text-stroke-color: black;
  font-weight: bold;
  font-size: 1.8em;
  cursor: pointer;
}

.acariaempire.sheet.actor .sheet-header .ae-token.selected {
  box-shadow: 0 0 5px darkblue inset;
}

.acariaempire.sheet.actor .sheet-header .ae-token:hover {
  box-shadow: 0 0 5px darkblue inset;
}

.acariaempire.sheet.actor .sheet-header .left-tokens .ae-token {
  padding-top: 3px;
}

.acariaempire.sheet.actor .sheet-header .bottom-tokens .ae-token {
  padding-top: 9px;
  margin-left: 10px;
}


.acariaempire.sheet.actor .sheet-header .bottom-tokens .token-input-panel {
  border: groove;
  align-items: center;
  justify-content: space-evenly;
  margin: 0px 8px 0px 4px;
  background: rgba(255, 255, 255, 0.3);
}

.acariaempire.sheet.actor .sheet-header .token-input-panel .input-col {
  max-width: 25%;
  padding: 0px 2px;
  text-align: center;
}

.acariaempire.sheet.actor .sheet-header .token-input-panel .token-info {
  max-height: 20px;
}

.acariaempire.sheet.actor .sheet-header .token-input-panel .token-info.value {
  color: #191813;
  border: 1px solid #7a7971;
  border-radius: 3px;
  background: rgba(0, 0, 0, 0.05);
  padding: 1px 3px;  
}


/*---------------------------------
 Navigator
----------------------------------*/
.acariaempire.sheet.actor .main-nav {
  height: unset;
  flex-wrap: wrap;
  border: 1px solid #AAA;  
  background: rgba(0, 0, 0, 0.2);
}

.acariaempire.sheet.actor .main-nav .nav-item {
  min-width: 40px;
  max-width: 40px;
  min-height: 40px;
  max-height: 40px;
  cursor: pointer;
}
.acariaempire.sheet.actor .main-nav .nav-item.active {
  box-shadow: 0 0 5px darkred inset;
}
.acariaempire.sheet.actor .main-nav .nav-item:hover {
  box-shadow: 0 0 5px darkblue inset;
}
.acariaempire.sheet.actor .main-nav .nav-item.active:hover {
  box-shadow: 0 0 5px darkviolet inset;
}

.acariaempire.sheet.actor .main-nav .nav-item .nav-icon {
  width: 40px;
  height: 40px;
  border: none;
  opacity: 0.5;
}

.acariaempire.sheet.actor .main-nav .nav-item.active .nav-icon {
  opacity: 1;
}

.acariaempire.sheet.actor .main-nav .nav-item:hover .nav-icon {
  opacity: 1;
}


.acariaempire.sheet.actor .main-nav .nav-item .tooltip {
  visibility: hidden;
  position: relative;
  left: 0px;
  top: -66px;
  background-color: cornsilk;
  border: groove;
  text-align: center;
  padding: 2px 5px;
  border-radius: 10px;
  z-index: 1;
  white-space: nowrap;
}

.acariaempire.sheet.actor .main-nav .nav-item:hover .tooltip {
  visibility: visible;
}

/*---------------------------------
  For all tabs
 ----------------------------------*/

.acariaempire.sheet.actor .ae-body {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: flex-start;
}

.acariaempire.sheet.actor .ae-body .ae-tabdata {
  display: flex;
  flex-direction: column;
  flex: auto;
  overflow-x: hidden;
  overflow-y: scroll;
}

.acariaempire.sheet.actor .ae-desc-zone {
  min-height: 80px;
  height: 80px;
  overflow: hidden;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-start;
  margin-top: 5px;
}

.acariaempire.sheet.actor .ae-desc-div {
  flex: 1;
  display: flex;
  flex-direction: column;
  margin-top: 5px;
}

.acariaempire.sheet.actor .ae-desc-title {
  font-size: 1.5em;
  font-style: oblique;
}

/* Lists */

.acariaempire.sheet.actor .ae-list {
  margin: 0;
  padding: 0;
  list-style: none;
  min-width: 570px;
  margin-top: 5px;
}

.acariaempire.sheet.actor .ae-list-header {
  margin: 0;
  padding: 5px;
  background: rgba(0, 0, 0, 0.05);
  border: 1px solid #AAA;
  border-radius: 2px;
  text-align: center;
  font-weight: bold;
  min-width: 570px;
}

.acariaempire.sheet.actor .ae-list li > * {
  line-height: 40px;
  margin: 0 3px;
}

.acariaempire.sheet.actor .ae-list .ae-outlined {
  line-height: 25px;
  background: rgba(0, 0, 0, 0.05);
  border: 1px solid #AAA;
  border-radius: 2px;
  text-align: left;
  padding-left: 5px;
  margin: 0;
}


/* XP Bubbles on different tabs */

.acariaempire.sheet.actor .xp-bubbles-grid {
  display: inline-grid;
  grid-template-columns: auto auto auto auto auto auto auto auto auto;
  grid-gap: 2px;
}

.acariaempire.sheet.actor .xp-bubbles {
  width: 14px;
  min-width: 14px;
  max-width: 14px;
  height: 14px;
  min-height: 14px;
  max-height: 14px;
  margin: 1px;
  border: none;
  vertical-align: middle;
}
.acariaempire.sheet.actor .xp-bubbles.clickable {
  cursor: pointer;
}

.acariaempire.sheet.actor .xp-bubbles-one-line {
  padding-top: 12px;
}

.acariaempire.sheet.actor .xpbutton .xp-action {
  vertical-align: middle;
}

.acariaempire.sheet.actor .xpbutton .bulkAction {
  font-size: 2em;
}

.acariaempire.sheet.actor .xpbutton .bulkAction i {
  padding-top: 5px;
}

/*---------------------------------
  Equipement part
 ----------------------------------*/

.acariaempire.sheet.actor .ae-equipments .main-row {
  justify-content: space-around;
}


.acariaempire.sheet.actor .ae-equipments .equipment-slots {
  flex: 0 0 340px;
  min-width: 340px;
  max-width: 340px;

  background-image: url('../resources/actor/sheet/silhouette.png');
  background-repeat: no-repeat;
  background-size: contain;
  background-position-x: 23px;
  height: 510px;
  margin-top: 5px;
}

.acariaempire.sheet.actor .ae-equipments .slot-item {
  align-items: center;
  border: groove;
  padding: 5px;
  position: relative;
  min-width: 65px;
  max-width: 65px;
  min-height: 65px;
  max-height: 65px;
}

.acariaempire.sheet.actor .ae-equipments .slot-image {
  border: none;
}

.acariaempire.sheet.actor .ae-equipments .slot-item .tooltip {
  visibility: hidden;
  position: relative;
  min-width: 135px;
  max-width: 135px;
  left: -40px;
  top: -80px;  
  background-color: cornsilk;
  border: groove;
  text-align: center;
  padding: 2px 0;
  border-radius: 10px;
  z-index: 1;

}

.acariaempire.sheet.actor .ae-equipments .slot-item:hover .tooltip {
  visibility: visible;
}

.acariaempire.sheet.actor .ae-equipments .effects-panel {
  max-width: fit-content;
  min-width: 270px;
}

.acariaempire.sheet.actor .ae-equipments .effects-title {
  flex: unset;
  font-size: 1.5em;
  margin: 5px 0px;
  text-align: center;
  border-bottom: 2px groove darkblue;
}

.acariaempire.sheet.actor .ae-equipments .spell-line {
  flex: unset;
}

.acariaempire.sheet.actor .ae-equipments .spell-line:hover {
  box-shadow: 0 0 5px darkblue inset;
}

.acariaempire.sheet.actor .ae-equipments .spell-effect {
  flex: 0 0 65px;
  align-items: center;
}

.acariaempire.sheet.actor .ae-equipments .effect-icon {
  flex: unset;
  border: none;
  width: 65px;
  height: 65px;
}

.acariaempire.sheet.actor .ae-equipments .effect-level {
  flex: unset;
  border: none;
  width: 65px;
  height: 65px;
  margin-left: -65px;
}

.acariaempire.sheet.actor .ae-equipments .effect-label.red {
  color: darkred;
}
.acariaempire.sheet.actor .ae-equipments .effect-label.green {
  color: darkgreen;
}

.acariaempire.sheet.actor .ae-equipments .spell-detail {
  font-size: 0.8em;
  font-style: italic;
}

.acariaempire.sheet.actor .ae-equipments .spell-detail.stack-change:hover {
  cursor: pointer;
  font-style: italic;
  text-shadow: 0 0 4px darkblue;
}

.acariaempire.sheet.actor .ae-equipments .spell-line .effect-remove {
  flex: 0 0 15px;
  margin: 0px 5px;
  color: darkred;
  visibility: hidden;
}

.acariaempire.sheet.actor .ae-equipments .spell-line:hover .effect-remove {
  visibility: visible;
  cursor: pointer;
}

/*---------------------------------
  Bags part
 ----------------------------------*/

.acariaempire.sheet.actor .ae-bags .bag-layer {
  min-width: 620px;
  min-height: 65px;
  padding: 5px;
  align-items: center;
}

.acariaempire.sheet.actor .ae-bags .bag-slot {
  border: 2px groove #f0f0e0;
  padding: 5px;
}

.acariaempire.sheet.actor .ae-bags .bag-item {
  border: 1px solid #000;
  border-radius: 2px;
  background: rgba(0, 0, 0, 0.5);
  box-shadow: 0 0 5px #444 inset;
  min-width: 54px;
  max-width: 54px;
  min-height: 54px;
  max-height: 54px;
  padding: 2px;
}
.acariaempire.sheet.actor .ae-bags .bag-item.filled {
  box-shadow: 0 0 5px #000 inset;
}
.acariaempire.sheet.actor .ae-bags .bag-item.equipped {
  box-shadow: 0 0 10px white inset;
}

.acariaempire.sheet.actor .ae-bags .bag-item .slot-image {
  border: none;
  height: 48px;
  flex: 0 0 48px;
}

.acariaempire.sheet.actor .ae-bags .bag-item .tooltip {
  visibility: hidden;
  position: relative;
  min-width: 135px;
  max-width: 135px;
  left: -40px;
  top: -80px;  
  background-color: cornsilk;
  border: groove;
  text-align: center;
  padding: 2px 0;
  border-radius: 10px;
  z-index: 1;

}

.acariaempire.sheet.actor .ae-bags .bag-item:hover .tooltip {
  visibility: visible;
}

.acariaempire.sheet.actor .ae-bags .current-coins {
  margin: 5px 30px;
  justify-content: flex-end;
  min-height: 30px;
}
.acariaempire.sheet.actor .ae-bags .current-coins .coin-title {
  flex: unset;
  line-height: 30px;
  font-size: 1.2em;
  margin-right: 5px;
}
.acariaempire.sheet.actor .ae-bags .current-coins .coin-icon {
  flex: unset;
  border: none;
  height: 30px;
}

.acariaempire.sheet.actor .ae-bags .current-coins .coin-input {
  flex: unset;
  height: 30px;
  max-width: 70px;
  min-width: 70px;
  text-align: center;
  margin-right: 5px;
}



/*---------------------------------
  Attribute part
 ----------------------------------*/
.acariaempire.sheet.actor .ae-attributes {
  align-items: center;
}

.acariaempire.sheet.actor .ae-attributes .attribute-area {
  justify-content: center; 
  min-width:650px; 
  max-width:650px;
  background-image: url('../resources/actor/sheet/attributes_bg.png');
  background-repeat: no-repeat;
  background-size: contain;
  background-position-x: center;
}

.acariaempire.sheet.actor .ae-attributes .attribute {
  align-items: center;
  justify-content: space-between;
  border: groove;
  position: relative;
  min-width: 200px;
  max-width: 200px;
  min-height: 170px;
  max-height: 170px;  
  padding: 5px;
}
.acariaempire.sheet.actor .ae-attributes .attribute:hover {
  border: groove darkblue;
}

.acariaempire.sheet.actor .ae-attributes .attribute .tooltip {
  visibility: hidden;
  position: relative;
  min-width: 300px;
  max-width: 300px;
  background-color: cornsilk;
  border: groove;
  text-align: center;
  padding: 2px 0;
  border-radius: 10px;
  z-index: 1;
}

.acariaempire.sheet.actor .ae-attributes .attribute .tooltip.left {
  left: 50px;
}

.acariaempire.sheet.actor .ae-attributes .attribute .tooltip.middle {
  left: 0px;
}

.acariaempire.sheet.actor .ae-attributes .attribute .tooltip.right {
  left: -50px;
}

.acariaempire.sheet.actor .ae-attributes .attribute .tooltip.top {
  top: 20px;
}

.acariaempire.sheet.actor .ae-attributes .attribute .tooltip.bottom {
  bottom: 300px;
}

.acariaempire.sheet.actor .ae-attributes .attribute:hover .tooltip {
  visibility: visible;
}

.acariaempire.sheet.actor .ae-attributes .attribute .level-desc{
  margin-top: 2px;
  margin-bottom: 5px;
  font-style: italic;
}

.acariaempire.sheet.actor .ae-attributes .xp-area {
  max-width: 100px;
  align-items: center;
}

.acariaempire.sheet.actor .ae-attributes .button-area {
  min-height: 90px;
  justify-content: center;
  width: 180px;
}

.acariaempire.sheet.actor .ae-attributes .evolve-button {
  background: rgba(0, 0, 0, 0.1);
  border: 2px groove #f0f0e0;
  margin-top: 2px;
  padding: 2px;
  opacity: 0.5;
  max-height: 28px;
  text-align: center;
}

.acariaempire.sheet.actor .ae-attributes .evolve-button.available {
  opacity: 1;
  cursor: pointer;
}
.acariaempire.sheet.actor .ae-attributes .evolve-button.available:hover {
  border: 2px groove darkblue;
}

.acariaempire.sheet.actor .ae-attributes .evolve-button.forget {
  opacity: 1;
  cursor: pointer;
  margin-top: 7px;
}
.acariaempire.sheet.actor .ae-attributes .evolve-button.forget:hover {
  border: 2px groove darkred;
}

.acariaempire.sheet.actor .ae-attributes .attribute-roll {
  position: relative;
  font-size: 2.5em;
  top: -790px;
  left: 306px;
  max-width: fit-content;
}
.acariaempire.sheet.actor .ae-attributes .attribute-roll:hover {
  text-shadow: 0 0 4px darkblue;
  cursor: pointer;
}

/*---------------------------------
  Abilities tab
 ----------------------------------*/
 .acariaempire.sheet.actor .ae-abilities {
  align-items: center;
}

.acariaempire.sheet.actor .ae-abilities .starting-job {
  align-items: center;
  margin-top: 5px;
  padding-top: 5px;
  padding-bottom: 5px;
  min-width: 215px;
  font-size: 1.1em;
  max-width: 215px;
  border: 2px groove #f0f0e0;
}

.acariaempire.sheet.actor .ae-abilities .available-job {
  align-items: center;
  margin-top: 5px;
  padding-top: 5px;
  padding-bottom: 5px;
  min-width: 215px;
  font-size: 1.1em;
  max-width: 215px;
  border: 2px groove #f0f0e0;
}

.acariaempire.sheet.actor .ae-abilities .job-icon {
  border: none;
  margin: 0px 14px 0px 7px;
  flex: 0 0 56px;
  width: 56px;
  height: 56px;
}
.acariaempire.sheet.actor .ae-abilities .available-job .job-data:hover {
  text-shadow: 0 0 4px red;
}

.acariaempire.sheet.actor .ae-abilities .remove-job {
  flex: 0 0 30px;
  width: 30px;
  margin-right: 10px;
  text-align: center;
}

.acariaempire.sheet.actor .ae-abilities .remove-job:hover {
  text-shadow: 0 0 4px red;
  cursor: pointer;
}

.acariaempire.sheet.actor .ae-abilities .ability-check {
  font-size: 1.3em;
  margin-bottom: 5px;
}

.acariaempire.sheet.actor .ae-abilities .ability-col {
  justify-content: flex-start;
  align-items: center;
  padding: 5px;
  border: groove;
  margin: 10px;
  min-width: 200px;
}

.acariaempire.sheet.actor .ae-abilities .ability-col .ability-title {
  font-size: 1.3em;
  border-bottom: groove;
  flex: unset;
  max-width: 150px;
  max-height: 25px;
  text-align: center;
}

.acariaempire.sheet.actor .ae-abilities .ability-title .tooltip {
  font-size: 0.75em;
  visibility: hidden;
  position: relative;
  top: 30px;
  min-width: 300px;
  max-width: 300px;
  background-color: cornsilk;
  border: groove;
  text-align: center;
  padding: 2px 0;
  border-radius: 10px;
  z-index: 1;
}

.acariaempire.sheet.actor .ae-abilities .ability-title .tooltip.first {
  left: -20px;
}

.acariaempire.sheet.actor .ae-abilities .ability-title .tooltip.second {
  left: -75px;
}

.acariaempire.sheet.actor .ae-abilities .ability-title .tooltip.third {
  left: -130px;
}

.acariaempire.sheet.actor .ae-abilities .ability-title:hover .tooltip {
  visibility: visible;
}




.acariaempire.sheet.actor .ae-abilities .ability-col .level-desc{
  margin-top: 2px;
  margin-bottom: 5px;
  font-style: italic;
}

.acariaempire.sheet.actor .ae-abilities .xp-area {
  max-width: 100px;
  align-items: center;
}

.acariaempire.sheet.actor .ae-abilities .button-area {
  justify-content: center;
  width: 180px;
  margin-top: 5px;
  margin-bottom: 15px;
}

.acariaempire.sheet.actor .ae-abilities .evolve-button {
  background: rgba(0, 0, 0, 0.1);
  border: 2px groove #f0f0e0;
  margin-top: 2px;
  padding: 2px;
  opacity: 0.5;
  max-height: 28px;
  text-align: center;
}

.acariaempire.sheet.actor .ae-abilities .evolve-button.available {
  opacity: 1;
  cursor: pointer;
}
.acariaempire.sheet.actor .ae-abilities .evolve-button.available:hover {
  border: 2px groove darkblue;
}

.acariaempire.sheet.actor .ae-abilities .evolve-button.forget {
  opacity: 1;
  cursor: pointer;
  margin-top: 7px;
}
.acariaempire.sheet.actor .ae-abilities .evolve-button.forget:hover {
  border: 2px groove darkred;
}



.acariaempire.sheet.actor .ae-abilities .unlocked-skill {
  justify-content: center;
  align-items: center;
  padding: 5px;
  border: groove;
  min-height: fit-content;
  min-width: 180px;
  max-width: 180px;
}

.acariaempire.sheet.actor .ae-abilities .unlocked-skill.blue {
  color: darkblue;
  font-style: italic;
  background-color: rgba(0,0,255,0.1);
}

.acariaempire.sheet.actor .ae-abilities .unlocked-skill .wa-tooltip {
  flex: unset;
  margin-left: 5px;
}

.acariaempire.sheet.actor .ae-abilities .unlocked-skill .forget-skill {
  flex: unset;
  margin-left: 3px;
}

.acariaempire.sheet.actor .ae-abilities .unlocked-skill .forget-skill:hover {
  text-shadow: 0 0 4px red;
  cursor: pointer;
}

.acariaempire.sheet.actor .ae-abilities .learn-skill {
  align-items: center;
  border: groove;
  min-height: 30px;
  min-width: 180px;
  cursor: pointer;
  text-align: center;
  margin-top: 10px;
}

.acariaempire.sheet.actor .ae-abilities .learn-skill:hover {
  box-shadow: 0 0 5px darkred inset;
  color: darkred;
}

.acariaempire.sheet.actor .ae-abilities .cancel-learn-skill:hover {
  text-shadow: 0 0 4px red;
  cursor: pointer;
}

.acariaempire.sheet.actor .ae-abilities .available-skills {
  align-items: center;
  justify-content: space-around;
}

.acariaempire.sheet.actor .ae-abilities .available-skill {
  justify-content: center;
  align-items: center;
  padding: 5px;
  border: groove;
  min-height: fit-content;
  min-width: 180px;
  margin: 10px;
}

.acariaempire.sheet.actor .ae-abilities .available-skill .wa-tooltip {
  flex: unset;
  margin-left: 5px;
}

.acariaempire.sheet.actor .ae-abilities .available-skill .skill-data:hover {
  text-shadow: 0 0 4px red;
  cursor: pointer;
}


/*---------------------------------
  Event card part
 ----------------------------------*/

.acariaempire.sheet.actor .ae-events .hidden-events {
  text-align: center;
}

.acariaempire.sheet.actor .ae-events .key {
  flex: 2;
  text-align: left;
  min-width: 70px;
}

.acariaempire.sheet.actor .ae-events .event {
  flex: 4;
  text-align: left;
  min-width: 160px;
}

.acariaempire.sheet.actor .ae-events .cost {
  flex: 1;
  text-align: center;
  min-width: 40px;
}

.acariaempire.sheet.actor .ae-events .actions {
  flex: 2;
  min-width: 85px;
}

.acariaempire.sheet.actor .ae-events .actions .event-use {
  margin-right: 25px;
}

/*------------------------------------------
  For displaying maneuvers
-------------------------------------------*/

.acariaempire.sheet.actor .with-maneuvers .maneuver {
  flex: unset;
  justify-content: space-around;
  align-items: center;
  margin-top: 5px;
  padding-top: 5px;
  padding-bottom: 5px;
  border: groove;
}
.acariaempire.sheet.actor .with-maneuvers .maneuver.selected {
  border: groove darkblue;
}
.acariaempire.sheet.actor .with-maneuvers .maneuver.selectable:hover {
  cursor: pointer;
  border: groove darkblue;
}

.acariaempire.sheet.actor .with-maneuvers .maneuver .level-desc{
  margin-top: 2px;
  margin-bottom: 5px;
  font-style: italic;
}

.acariaempire.sheet.actor .with-maneuvers .maneuver .summary{
  text-align: center;
}

.acariaempire.sheet.actor .with-maneuvers .evolve-button {
  background: rgba(0, 0, 0, 0.1);
  border: 2px groove #f0f0e0;
  margin-top: 2px;
  padding: 2px 20px;
  opacity: 0.5;
  max-height: fit-content;
}

.acariaempire.sheet.actor .with-maneuvers .evolve-button.available {
  opacity: 1;
  cursor: pointer;
}
.acariaempire.sheet.actor .with-maneuvers .evolve-button.available:hover {
  border: 2px groove darkblue;
}

.acariaempire.sheet.actor .with-maneuvers .evolve-button.forget {
  opacity: 1;
  cursor: pointer;
  margin-top: 7px;
}
.acariaempire.sheet.actor .with-maneuvers .evolve-button.forget:hover {
  border: 2px groove darkred;
}

/* For actions */
.acariaempire.sheet.actor .with-maneuvers .framed-info.interaction .key {
  text-align: center;
}

/*---------------------------------
  Melee part
 ----------------------------------*/
.acariaempire.sheet.actor .ae-melee .melee-columns {
  justify-content: space-around;
  align-items: flex-start;
}

.acariaempire.sheet.actor .ae-melee .melee-column {
  max-width: 280px;
}

.acariaempire.sheet.actor .ae-melee .column-title {
  flex: unset;
  margin: 5px 0px 0px 0px;
  padding: 5px;
  background: rgba(0, 0, 0, 0.05);
  border: 1px solid #AAA;
  border-radius: 2px;
  text-align: center;
  font-weight: bold;
}

.acariaempire.sheet.actor .ae-melee .column-title.additional-margin {
  margin-top: 20px;
}

.acariaempire.sheet.actor .ae-melee .framed-info {
  flex: unset;
  justify-content: space-around;
  align-items: center;
  padding-top: 5px;
  padding-bottom: 5px;
  border: groove;
}

.acariaempire.sheet.actor .ae-melee .framed-info.token-line {
  justify-content: space-evenly;
  padding-top: 2px;
  padding-bottom: 2px;
}

.acariaempire.sheet.actor .ae-melee .token-line .token-part {
  align-items: center;
  max-width: fit-content;
}

.acariaempire.sheet.actor .ae-melee .token-line .token-value {
  max-width: 20px;
  line-height: 35px;
  text-align: right;
}

.acariaempire.sheet.actor .ae-melee .token-line .token {
  flex: 0 0 35px;
  height: 35px;
  min-width: 35px;
  margin-left: 10px;
  border: none;
}

.acariaempire.sheet.actor .ae-melee .button-place {
  width: 14px;
  min-width: 14px;
  max-width: 14px;
  height: 14px;
}


/*---------------------------------
  Ranged part
 ----------------------------------*/

.acariaempire.sheet.actor .ae-ranged .ranged-columns {
  justify-content: space-around;
  align-items: flex-start;
}

.acariaempire.sheet.actor .ae-ranged .ranged-column {
  max-width: 280px;
}

.acariaempire.sheet.actor .ae-ranged .column-title {
  flex: unset;
  margin: 5px 0px 0px 0px;
  padding: 5px;
  background: rgba(0, 0, 0, 0.05);
  border: 1px solid #AAA;
  border-radius: 2px;
  text-align: center;
  font-weight: bold;
}

.acariaempire.sheet.actor .ae-ranged .column-title.additional-margin {
  margin-top: 20px;
}


.acariaempire.sheet.actor .ae-ranged .framed-info {
  flex: unset;
  justify-content: space-around;
  align-items: center;
  padding-top: 5px;
  padding-bottom: 5px;
  border: groove;
}

.acariaempire.sheet.actor .ae-ranged .framed-info.token-line {
  justify-content: space-evenly;
  padding-top: 2px;
  padding-bottom: 2px;
}

.acariaempire.sheet.actor .ae-ranged .token-line .token-part {
  align-items: center;
  max-width: fit-content;
}

.acariaempire.sheet.actor .ae-ranged .token-line .token-value {
  max-width: 20px;
  line-height: 35px;
  text-align: right;
}

.acariaempire.sheet.actor .ae-ranged .token-line .token {
  flex: 0 0 35px;
  height: 35px;
  min-width: 35px;
  margin-left: 10px;
  border: none;
}

.acariaempire.sheet.actor .ae-ranged .button-place {
  width: 14px;
  min-width: 14px;
  max-width: 14px;
  height: 14px;
}

/*---------------------------------
  Improvised part
 ----------------------------------*/
 
 .acariaempire.sheet.actor .ae-improvised .improvised-columns {
  justify-content: space-around;
  align-items: flex-start;
}

.acariaempire.sheet.actor .ae-improvised .improvised-column {
  max-width: 280px;
}

.acariaempire.sheet.actor .ae-improvised .column-title {
  flex: unset;
  margin: 5px 0px 0px 0px;
  padding: 5px;
  background: rgba(0, 0, 0, 0.05);
  border: 1px solid #AAA;
  border-radius: 2px;
  text-align: center;
  font-weight: bold;
}

.acariaempire.sheet.actor .ae-improvised .column-title.additional-margin {
  margin-top: 20px;
}


.acariaempire.sheet.actor .ae-improvised .framed-info {
  flex: unset;
  justify-content: space-around;
  align-items: center;
  padding-top: 5px;
  padding-bottom: 5px;
  border: groove;
}

.acariaempire.sheet.actor .ae-improvised .framed-info.token-line {
  justify-content: space-evenly;
  padding-top: 2px;
  padding-bottom: 2px;
}

.acariaempire.sheet.actor .ae-improvised .token-line .token-part {
  align-items: center;
  max-width: fit-content;
}

.acariaempire.sheet.actor .ae-improvised .token-line .token-value {
  max-width: 20px;
  line-height: 35px;
  text-align: right;
}

.acariaempire.sheet.actor .ae-improvised .token-line .token {
  flex: 0 0 35px;
  height: 35px;
  min-width: 35px;
  margin-left: 10px;
  border: none;
}

.acariaempire.sheet.actor .ae-improvised .button-place {
  width: 14px;
  min-width: 14px;
  max-width: 14px;
  height: 14px;
}

/*---------------------------------
  Arcane knowledge part
 ----------------------------------*/

 .acariaempire.sheet.actor .ae-arcanes .arcane-columns {
  justify-content: space-around;
  align-items: flex-start;
}

.acariaempire.sheet.actor .ae-arcanes .arcane-column {
  max-width: 200px;
}

.acariaempire.sheet.actor .ae-arcanes .column-title {
  flex: unset;
  margin: 5px 0px 0px 0px;
  padding: 5px;
  background: rgba(0, 0, 0, 0.05);
  border: 1px solid #AAA;
  border-radius: 2px;
  text-align: center;
  font-weight: bold;
}

.acariaempire.sheet.actor .ae-arcanes .column-title.modifiers {
  margin-top: 15px;
}

.acariaempire.sheet.actor .ae-arcanes .column-title.maneuvers {
  margin-top: 15px;
}

.acariaempire.sheet.actor .ae-arcanes .framed-info {
  flex: unset;
  justify-content: space-around;
  align-items: center;
  padding-top: 5px;
  padding-bottom: 5px;
  border: groove;
}

.acariaempire.sheet.actor .ae-arcanes .framed-info.arcane {
  margin-top: 5px;
}

.acariaempire.sheet.actor .ae-arcanes .framed-info.token-line {
  justify-content: space-evenly;
  padding-top: 2px;
  padding-bottom: 2px;
}

.acariaempire.sheet.actor .ae-arcanes .token-line .token-part {
  align-items: center;
  max-width: fit-content;
}

.acariaempire.sheet.actor .ae-arcanes .token-line .token-value {
  line-height: 35px;
  text-align: right;
}

.acariaempire.sheet.actor .ae-arcanes .token-line .token {
  flex: 0 0 35px;
  height: 35px;
  min-width: 35px;
  margin-left: 10px;
  border: none;
}

.acariaempire.sheet.actor .ae-arcanes .button-place {
  width: 14px;
  min-width: 14px;
  max-width: 14px;
  height: 14px;
}
.acariaempire.sheet.actor .ae-arcanes .xp-bubbles-grid {
  padding-top: 5px;
}


/*---------------------------------
  Divine pacts part
 ----------------------------------*/
.acariaempire.sheet.actor .ae-divine .divine-columns {
  justify-content: space-around;
  align-items: flex-start;
}

.acariaempire.sheet.actor .ae-divine .divine-column {
  max-width: 200px;
}

.acariaempire.sheet.actor .ae-divine .divine-column.pact-column {
  max-width: 420px;
}

.acariaempire.sheet.actor .ae-divine .column-title {
  flex: unset;
  margin: 5px 0px 0px 0px;
  padding: 5px;
  background: rgba(0, 0, 0, 0.05);
  border: 1px solid #AAA;
  border-radius: 2px;
  text-align: center;
  font-weight: bold;
}

.acariaempire.sheet.actor .ae-divine .framed-info {
  flex: unset;
  justify-content: space-around;
  align-items: center;
  padding-top: 5px;
  padding-bottom: 5px;
  border: groove;
}

.acariaempire.sheet.actor .ae-divine .framed-info.token-line {
  justify-content: space-evenly;
  padding-top: 2px;
  padding-bottom: 2px;
}

.acariaempire.sheet.actor .ae-divine .token-line .token-part {
  align-items: center;
  max-width: fit-content;
}

.acariaempire.sheet.actor .ae-divine .token-line .token-value {
  max-width: 20px;
  line-height: 35px;
  text-align: right;
}

.acariaempire.sheet.actor .ae-divine .token-line .token {
  flex: 0 0 35px;
  height: 35px;
  min-width: 35px;
  margin-left: 10px;
  border: none;
}

.acariaempire.sheet.actor .ae-divine .pact {
  align-items: center;
  margin-top: 5px;
  padding-top: 5px;
  padding-bottom: 5px;
  border: groove;
}

.acariaempire.sheet.actor .ae-divine .pact-icon {
  border: none;
  margin: 0px 10px 0px 10px;
  flex: 0 0 60px;
  width: 60px;
}

.acariaempire.sheet.actor .ae-divine .pact-element {
  border: none;
  margin: 5px;
  flex: 0 0 45px;
  width: 45px;
}

.acariaempire.sheet.actor .ae-divine .button-place {
  width: 14px;
  min-width: 14px;
  max-width: 14px;
  height: 14px;
}
.acariaempire.sheet.actor .ae-divine .xp-bubbles-grid {
  padding-top: 5px;
}

.acariaempire.sheet.actor .ae-divine .form-pact {
  border: 2px groove #f0f0e0;
  background: rgba(0, 0, 0, 0.1);
  text-align: center;
  line-height: 14px;
  margin: 2px;  
  margin-top: 5px;
  width: 200px;
}


/*---------------------------------
  Songs part
 ----------------------------------*/
 .acariaempire.sheet.actor .ae-songs .songs-columns {
  justify-content: space-around;
  align-items: flex-start;
}

.acariaempire.sheet.actor .ae-songs .songs-column {
  max-width: 280px;
}

.acariaempire.sheet.actor .ae-songs .column-title {
  flex: unset;
  margin: 5px 0px 0px 0px;
  padding: 5px;
  background: rgba(0, 0, 0, 0.05);
  border: 1px solid #AAA;
  border-radius: 2px;
  text-align: center;
  font-weight: bold;
}

.acariaempire.sheet.actor .ae-songs .framed-info {
  flex: unset;
  justify-content: space-around;
  align-items: center;
  padding-top: 5px;
  padding-bottom: 5px;
  border: groove;
}

.acariaempire.sheet.actor .ae-songs .framed-info.token-line {
  justify-content: space-evenly;
  padding-top: 2px;
  padding-bottom: 2px;
}

.acariaempire.sheet.actor .ae-songs .framed-info.melody {
  margin-top: 5px;
}

.acariaempire.sheet.actor .ae-songs .framed-info.maneuver {
  margin-top: 5px;
}

.acariaempire.sheet.actor .ae-songs .token-line .token-part {
  align-items: center;
  max-width: fit-content;
}

.acariaempire.sheet.actor .ae-songs .token-line .token-value {
  max-width: 20px;
  line-height: 35px;
  text-align: right;
}

.acariaempire.sheet.actor .ae-songs .token-line .token {
  flex: 0 0 35px;
  height: 35px;
  min-width: 35px;
  margin-left: 10px;
  border: none;
}

.acariaempire.sheet.actor .ae-songs .column-title.additional-margin {
  margin-top: 20px;
}

.acariaempire.sheet.actor .ae-songs .button-place {
  width: 14px;
  min-width: 14px;
  max-width: 14px;
  height: 14px;
}
.acariaempire.sheet.actor .ae-songs .xp-bubbles-grid {
  padding-top: 5px;
}

/*---------------------------------
  XP part
 ----------------------------------*/
.acariaempire.sheet.actor .ae-xp .xp-lines {
  justify-content: space-evenly;
  align-items: center;
}

.acariaempire.sheet.actor .ae-xp .xp-line {
  justify-content: space-around;
  align-items: center;
}

.acariaempire.sheet.actor .ae-xp .tokenButton {
  text-align: center;
  font-size: 1.5em;
}



.acariaempire.sheet.actor .ae-xp .xp-text {
  justify-content: space-evenly;
  align-items: center;
  min-width: 500px;
  max-width: 500px;
  padding: 10px;
  margin-top: 15px;
  margin-bottom: 15px;
  border: groove;
}

.acariaempire.sheet.actor .ae-xp .xp-text.blue {
  border: groove darkblue;
}

/*---------------------------------
  Spirit part
 ----------------------------------*/
 .acariaempire.sheet.actor .ae-spirit .spirit-row {
  justify-content: space-around;
  align-items: flex-start;
}

.acariaempire.sheet.actor .ae-spirit .spirit-section {
  max-width: 280px;
}
.acariaempire.sheet.actor .ae-spirit .spirit-section.current-state {
  max-width: fit-content;
  min-width: 280px;
}

.acariaempire.sheet.actor .ae-spirit .column-title {
  flex: unset;
  margin: 5px 0px 0px 0px;
  padding: 5px;
  background: rgba(0, 0, 0, 0.05);
  border: 1px solid #AAA;
  border-radius: 2px;
  text-align: center;
  font-weight: bold;
}

.acariaempire.sheet.actor .ae-spirit .framed-info {
  flex: unset;
  justify-content: space-around;
  align-items: center;
  padding-top: 5px;
  padding-bottom: 5px;
  border: groove;
  margin: 2px;
}

.acariaempire.sheet.actor .ae-spirit .framed-info.transparent {
  opacity: 0.2;
}
.acariaempire.sheet.actor .ae-spirit .framed-info.benefit.selected {
  border: groove darkblue;
}
.acariaempire.sheet.actor .ae-spirit .framed-info.benefit.selectable:hover {
  cursor: pointer;
  border: groove darkblue;
}
.acariaempire.sheet.actor .ae-spirit .framed-info.drawback.first {
  border: 2px groove darkred;
}
.acariaempire.sheet.actor .ae-spirit .framed-info.drawback.second {
  border: 1px groove darkred;
}
.acariaempire.sheet.actor .ae-spirit .framed-info.drawback.red {
  color: darkred;
}

.acariaempire.sheet.actor .ae-spirit .harmonization-col {
  min-height: 40px;
  max-height: 40px;
  min-width: 40px;
  max-width: 40px;
  align-items: center;
  margin: 2px;  
}
.acariaempire.sheet.actor .ae-spirit .harmonization-col .harmonization {
  border:none;
  opacity: 0.2;
}

.acariaempire.sheet.actor .ae-spirit .harmonization-col .harmonization.harmonized {
  opacity: 1;
}

.acariaempire.sheet.actor .ae-spirit .harmonization-col .harmonization.selectable {
  opacity: 0.5;
  cursor: pointer;
}
.acariaempire.sheet.actor .ae-spirit .harmonization-col .harmonization.selectable:hover {
  opacity: 1;
}


.acariaempire.sheet.actor .ae-spirit .framed-info .evolve-button {
  background: rgba(0, 0, 0, 0.1);
  border: 2px groove #f0f0e0;
  padding: 2px 50px;
  opacity: 0.5;
  max-height: fit-content;
}
.acariaempire.sheet.actor .ae-spirit .framed-info.benefit .evolve-button {
  margin-top: 2px;
}

.acariaempire.sheet.actor .ae-spirit .framed-info .evolve-button.available {
  opacity: 1;
  cursor: pointer;
}
.acariaempire.sheet.actor .ae-spirit .framed-info .evolve-button.available:hover {
  border: 2px groove darkblue;
}

.acariaempire.sheet.actor .ae-spirit .framed-info .evolve-button.reset {
  opacity: 1;
  cursor: pointer;
  color: darkred;
  margin-top: 2px;
}
.acariaempire.sheet.actor .ae-spirit .framed-info .evolve-button.reset:hover {
  border: 2px groove darkred;
}

.acariaempire.sheet.actor .ae-spirit .framed-info .selected-info {
  padding: 5px;
}


.acariaempire.sheet.actor .ae-spirit .framed-info .perk {
  margin-top: 2px;
  min-width: 40px;
  max-width: 40px;
  min-height: 40px;
  max-height: 40px;
}

.acariaempire.sheet.actor .ae-spirit .perk .perk-icon {
  border:none;
}
.acariaempire.sheet.actor .ae-spirit .perk .perk-icon:hover {
  box-shadow: 0 0 5px darkblue inset;
}

/*---------------------------------
  Spirit parts - tooltips
 ----------------------------------*/

.acariaempire.sheet.actor .ae-spirit .tooltip {
  visibility: hidden;
  position: relative;
  width: 230px;
  background-color: cornsilk;
  border: groove;
  text-align: center;
  padding: 2px 5px;
  border-radius: 10px;
  z-index: 1;
}

.acariaempire.sheet.actor .ae-spirit .harmonization-col:hover .tooltip {
  visibility: visible;
}
.acariaempire.sheet.actor .ae-spirit .perk:hover .tooltip {
  visibility: visible;
}

.acariaempire.sheet.actor .ae-spirit .tooltip .tooltip-title {
  text-decoration: underline;
  text-align: center;
  width: 226px;
}

.acariaempire.sheet.actor .ae-spirit .tooltip .tooltip-desc {
  font-size: 0.7em;
}


/*---------------------------------
  Guardian spirit troubles
 ----------------------------------*/

.acariaempire.sheet.actor .ae-troubles .gauge {
  margin: 5px 0px;
}

.acariaempire.sheet.actor .ae-troubles .gauge .trouble-value {
  color: #191813;
  border: 1px solid #7a7971;
  border-radius: 3px;
  background: rgba(0, 0, 0, 0.05);
  max-width: 50px;
  margin: 0px 10px;
  text-align: center;
}

.acariaempire.sheet.actor .ae-troubles .gauge .trouble-value.minmax {
  color: #7a7971;
  line-height: 24px;
}

.acariaempire.sheet.actor .ae-troubles .key {
  flex: 2;
  text-align: left;
  min-width: 70px;
}

.acariaempire.sheet.actor .ae-troubles .effect {
  flex: 4;
  text-align: left;
  min-width: 160px;
}

.acariaempire.sheet.actor .ae-troubles .status {
  flex: 2;
  text-align: left;
  min-width: 160px;
}

.acariaempire.sheet.actor .ae-troubles .actions {
  flex: 1;
  min-width: 85px;
}

/*---------------------------------
  Merchant part
 ----------------------------------*/
.acariaempire.sheet.actor .ae-merchant .ae-button {
  margin: 5px;
  padding: 5px;
  background: rgba(0, 0, 0, 0.05);
  border: groove;
  border-radius: 2px;
  text-align: center;
  cursor: pointer;
}

.acariaempire.sheet.actor .ae-merchant .ae-button:hover {
  box-shadow: 0 0 5px darkblue inset;
}

.acariaempire.sheet.actor .ae-merchant .ae-button.active {
  border: groove darkblue;
}

/* tab */
.acariaempire.sheet.actor .ae-merchant .tab-choice .ae-button {
  margin: 5px 20px;
}


/* setup */
.acariaempire.sheet.actor .ae-merchant .shop-setup {
  overflow: scroll;
}

.acariaempire.sheet.actor .ae-merchant .shop-setup li {
  margin: 5px;
  padding: 5px;
}

.acariaempire.sheet.actor .ae-merchant .shop-setup li.first-line {
  font-size: 1.2em;
  border-bottom: groove;
}

.acariaempire.sheet.actor .ae-merchant .shop-setup .price .amount {
  flex: unset;
  text-align: center;
  min-width: 80px;
  max-width: 80px;
  height: 26px;
  margin: 7px 2px;
}

.acariaempire.sheet.actor .ae-merchant .shop-setup .price .percent {
  flex: unset;
  min-width: 50px;
}

.acariaempire.sheet.actor .ae-merchant .shop-setup .compendium .amount {
  flex: unset;
  text-align: center;
  min-width: 50px;
  max-width: 50px;
  height: 26px;
  margin: 7px 2px;
}

.acariaempire.sheet.actor .ae-merchant .shop-setup .compendium .size {
  flex: unset;
  min-width: 50px;
}

.acariaempire.sheet.actor .ae-merchant .shop-setup .delete-shop:hover {
  box-shadow: 0 0 5px darkred inset;
}

/* Coins display (Same wether inside buy or sell part) */

.acariaempire.sheet.actor .ae-merchant .current-coins {
  margin: 5px 20px;
  justify-content: flex-end;
  min-height: 30px;
}
.acariaempire.sheet.actor .ae-merchant .current-coins .coin-desc {
  flex: unset;
  line-height: 30px;
  font-size: 1.2em;
  border-bottom: groove;
  padding-right: 25px;
}
.acariaempire.sheet.actor .ae-merchant .current-coins .coin-icon {
  flex: unset;
  border: none;
  height: 30px;
  margin-left: -20px;
}


/* Buy items (Player perspective) */

.acariaempire.sheet.actor .ae-merchant .shop-list {
  margin: 5px 20px;
  padding: 0px;
  overflow: scroll;
}

.acariaempire.sheet.actor .ae-merchant .shop-line {
  border: inset;
  border-radius: 2px;
  margin: 2px;
  padding: 0px;
  line-height: 50px;
  align-items: center;
}

.acariaempire.sheet.actor .ae-merchant .shop-line:hover {
  box-shadow: 0 0 5px darkblue inset;
}

.acariaempire.sheet.actor .ae-merchant .shop-line .item-img {
  border: none;
  flex: unset;
  height: 50px;
  margin-right: 5px;
  cursor: pointer;
}

.acariaempire.sheet.actor .ae-merchant .shop-line .item-details {
  justify-content: center;
}

.acariaempire.sheet.actor .ae-merchant .shop-line .item-detail-line {
  flex:unset;
}

.acariaempire.sheet.actor .ae-merchant .shop-line .item-detail {
  max-height: 22px;
  line-height: 20px;
  max-width: fit-content;
  margin-right: 5px;
}
.acariaempire.sheet.actor .ae-merchant .shop-line .item-detail.red {
  color: darkred;
}

.acariaempire.sheet.actor .ae-merchant .shop-line .wa-link.item-detail {
  padding: 1px 8px 1px 18px;
}

.acariaempire.sheet.actor .ae-merchant .shop-line .item-cost {
  flex: unset;
  min-width: 50px;
  max-width: 50px;
  margin-left: 5px;
  text-align: right;
}

.acariaempire.sheet.actor .ae-merchant .shop-line .item-coin {
  border: none;
  flex: unset;
  height: 26px;
  margin: 12px 5px;
}

.acariaempire.sheet.actor .ae-merchant .shop-line .item-click {
  flex: unset;
  padding: 0px;
  line-height: 36px;
  min-width: 70px;
}

.acariaempire.sheet.actor .ae-merchant .shop-line .item-click.red {
  color: darkred;
}


/*---------------------------------
  Monster part
 ----------------------------------*/
.acariaempire.sheet.actor .ae-monster .subheader {
  font-size: 1.2em;
  padding: 5px 0px;
  margin: 5px 50px 10px 50px;  
  min-width: 500px;
  text-align: center;
  border-bottom: groove;
}

.acariaempire.sheet.actor .ae-monster .augment-list {
  justify-content: center;
}

.acariaempire.sheet.actor .ae-monster .augment-modif {
  flex: unset;
  padding: 0px 5px;
}

.acariaempire.sheet.actor .ae-monster .augment-modif:hover {
  cursor: pointer;
  text-shadow: 0 0 4px darkblue;
}

.acariaempire.sheet.actor .ae-monster .augment-element {
  border: groove;
  min-width: 200px;
  max-width: 300px;
  padding: 7px 5px;
  margin: 3px;
  align-items: center;
  justify-content: space-around;
  text-align: center;
}

.acariaempire.sheet.actor .ae-monster .augment-element.available-augment {
  cursor: pointer;
}

.acariaempire.sheet.actor .ae-monster .augment-element:hover {
  box-shadow: 0 0 5px darkblue inset;
}
